---
title: "B2 Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/B2"
canonical_url: "https://regulex.uk/directory/postcode/B2"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area B2. Monitoring 223 accountancy practices and 11,948 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/B2](https://regulex.uk/directory/postcode/B2)
>
> *Statutory compliance registry for postal area B2. Monitoring 223 accountancy practices and 11,948 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in B2

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [J W ACCOUNTANCY SERVICES LTD](https://regulex.uk/practice/dashboard?crn=13276554) CRN: 13276554 • B24 9ND | 596 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13276554) |
| 2 | [LMH ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=08014500) CRN: 08014500 • B24 9ND | 596 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08014500) |
| 3 | [PARKERS CONSULTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=05168169) CRN: 05168169 • B24 9ND | 596 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=05168169) |
| 4 | [H&C ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=12328697) CRN: 12328697 • B2 4EU | 446 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12328697) |
| 5 | [LYK CONSULTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=15559458) CRN: 15559458 • B2 4EU | 446 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15559458) |
| 6 | [JOBS UK ROCHDALE LTD](https://regulex.uk/practice/dashboard?crn=15334315) CRN: 15334315 • B23 7LX | 381 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15334315) |
| 7 | [RUS & COMPANY (UK) LTD](https://regulex.uk/practice/dashboard?crn=03833778) CRN: 03833778 • B28 8AB | 334 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03833778) |
| 8 | [MILLER HUNT LIMITED](https://regulex.uk/practice/dashboard?crn=07851163) CRN: 07851163 • B21 0LT | 317 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07851163) |
| 9 | [THAPERS LIMITED](https://regulex.uk/practice/dashboard?crn=03929040) CRN: 03929040 • B21 0LT | 317 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03929040) |
| 10 | [GO BEYOND ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=14034290) CRN: 14034290 • B27 6LG | 281 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14034290) |
| 11 | [INTEGRITAX ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=10032646) CRN: 10032646 • B27 6LG | 281 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10032646) |
| 12 | [PREMIER FINANCIAL SERVICES GROUP LTD](https://regulex.uk/practice/dashboard?crn=11461903) CRN: 11461903 • B27 6LG | 281 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11461903) |
| 13 | [HUSA CONSULTANTS LTD](https://regulex.uk/practice/dashboard?crn=11631426) CRN: 11631426 • B25 8DX | 265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11631426) |
| 14 | [HUSA ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=10217966) CRN: 10217966 • B25 8DX | 265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10217966) |
| 15 | [HUSA TAX LTD](https://regulex.uk/practice/dashboard?crn=13906650) CRN: 13906650 • B25 8DX | 265 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13906650) |
| 16 | [PYTRONOT ACCOUNTING SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=13460848) CRN: 13460848 • B26 3YH | 203 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13460848) |
| 17 | [PYTRONOT PAYROLL BUREAU LIMITED](https://regulex.uk/practice/dashboard?crn=16392279) CRN: 16392279 • B26 3YH | 203 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16392279) |
| 18 | [ADAM JONES & CO LTD](https://regulex.uk/practice/dashboard?crn=08673780) CRN: 08673780 • B28 8JG | 144 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08673780) |
| 19 | [DP ACCOUNTING SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=06500459) CRN: 06500459 • B28 8JG | 144 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06500459) |
| 20 | [KLEVR LIMITED](https://regulex.uk/practice/dashboard?crn=14575643) CRN: 14575643 • B28 8JG | 144 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14575643) |
| 21 | [MANAGEMENT SERVICES (HR) LTD](https://regulex.uk/practice/dashboard?crn=02971115) CRN: 02971115 • B28 8JG | 144 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=02971115) |
| 22 | [ONETOUCH ACCOUNTANCY SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=05547344) CRN: 05547344 • B28 8JG | 144 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=05547344) |
| 23 | [A.S.K. & CO. LTD](https://regulex.uk/practice/dashboard?crn=07894197) CRN: 07894197 • B21 0LG | 138 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07894197) |
| 24 | [ASK BIRMINGHAM LTD](https://regulex.uk/practice/dashboard?crn=07051350) CRN: 07051350 • B21 0LG | 138 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07051350) |
| 25 | [PBG ASSOCIATES (LONDON) LTD](https://regulex.uk/practice/dashboard?crn=12833514) CRN: 12833514 • B21 0LG | 138 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12833514) |
| 26 | [PG AUDITORS LTD](https://regulex.uk/practice/dashboard?crn=13524458) CRN: 13524458 • B21 0LG | 138 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13524458) |
| 27 | [RADIANT PARTNERS LTD](https://regulex.uk/practice/dashboard?crn=07788634) CRN: 07788634 • B21 0LG | 138 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07788634) |
| 28 | [BACHE SAMUELS LTD](https://regulex.uk/practice/dashboard?crn=08479723) CRN: 08479723 • B24 9QR | 91 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08479723) |
| 29 | [NEXT ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=15716279) CRN: 15716279 • B24 9QR | 91 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15716279) |
| 30 | [BAY ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=05029797) CRN: 05029797 • B21 9QL | 78 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=05029797) |
| 31 | [MIBSONS LIMITED](https://regulex.uk/practice/dashboard?crn=04964669) CRN: 04964669 • B20 2JU | 77 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04964669) |
| 32 | [DQF ADVISORS LIMITED](https://regulex.uk/practice/dashboard?crn=15945009) CRN: 15945009 • B24 9FE | 74 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15945009) |
| 33 | [FORENSIX LTD](https://regulex.uk/practice/dashboard?crn=10825450) CRN: 10825450 • B24 9FE | 74 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10825450) |
| 34 | [G K & CO ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=11655506) CRN: 11655506 • B24 9FE | 74 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11655506) |
| 35 | [HR PAYROLL BUREAU LTD](https://regulex.uk/practice/dashboard?crn=06914530) CRN: 06914530 • B24 9FE | 74 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06914530) |
| 36 | [MY TAX CONSULTANTS LTD](https://regulex.uk/practice/dashboard?crn=14262616) CRN: 14262616 • B25 8JJ | 70 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14262616) |
| 37 | [ASB ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=13634230) CRN: 13634230 • B20 3BX | 68 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13634230) |
| 38 | [BERLINS (UK) LIMITED](https://regulex.uk/practice/dashboard?crn=09125449) CRN: 09125449 • B21 9ES | 68 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09125449) |
| 39 | [BERLINS ASSOCIATES LTD](https://regulex.uk/practice/dashboard?crn=14410049) CRN: 14410049 • B21 9ES | 68 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14410049) |
| 40 | [BERLINS LIMITED](https://regulex.uk/practice/dashboard?crn=06733962) CRN: 06733962 • B21 9ES | 68 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06733962) |
| 41 | [BERLINS FIRST LIMITED](https://regulex.uk/practice/dashboard?crn=14435262) CRN: 14435262 • B21 9ES | 68 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14435262) |
| 42 | [BERLINS SOLUTIONS LTD](https://regulex.uk/practice/dashboard?crn=14411334) CRN: 14411334 • B21 9ES | 68 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14411334) |
| 43 | [SERVE YOU LTD](https://regulex.uk/practice/dashboard?crn=08007805) CRN: 08007805 • B21 9ES | 68 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08007805) |
| 44 | [THE ACCOUNTING CENTRE GROUP LIMITED](https://regulex.uk/practice/dashboard?crn=12371352) CRN: 12371352 • B20 3BX | 68 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12371352) |
| 45 | [BENTLEY LA ROCHE LIMITED](https://regulex.uk/practice/dashboard?crn=07068911) CRN: 07068911 • B28 9HA | 63 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07068911) |
| 46 | [PETER HANNAFORD ACCOUNTANCY SERVICES LTD](https://regulex.uk/practice/dashboard?crn=13635084) CRN: 13635084 • B28 9HA | 63 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13635084) |
| 47 | [SELF ASSESSMENT SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=10989936) CRN: 10989936 • B28 9HA | 63 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10989936) |
| 48 | [TAXBYTE LTD](https://regulex.uk/practice/dashboard?crn=17108636) CRN: 17108636 • B28 9HA | 63 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17108636) |
| 49 | [TRADETAX LIMITED](https://regulex.uk/practice/dashboard?crn=12764072) CRN: 12764072 • B28 9HA | 63 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12764072) |
| 50 | [BLAUPUNKT LTD](https://regulex.uk/practice/dashboard?crn=08769419) CRN: 08769419 • B23 5TE | 62 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08769419) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/B2](https://regulex.uk/directory/postcode/B2).
